Bug 196953 - xchat stops responding during notification
xchat stops responding during notification
Product: Fedora
Classification: Fedora
Component: xchat-gnome (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-06-27 16:01 EDT by Simon Goodall
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-24 12:55:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2006-06-27 16:01:05 EDT
Description of problem:
I currently have the on-screen display plugin, remote-access plugin, network
manager plugin and notification plugin running. Whenever I get a message and a
notifcation, xchat stops responding until the notification disappears.
Previous versions did not have this problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have a notifiable message appear in xchat 
2. Notification pops up
Actual results:
xchat stops responding until notification disappears

Expected results:
Should be able to use xchat

Additional info:
Comment 1 Brian Pepple 2006-06-27 19:50:22 EDT
Could you you run the following: 'gconftool-2 -g /apps/xchat/plugins/loaded',
and provide me with the results?
Comment 2 Simon Goodall 2006-06-28 04:29:28 EDT
gconf output:

Comment 3 Simon Goodall 2006-07-10 06:19:11 EDT
A little bit more info. If somebody says "hi somenick" where somenick is my
nick, then a message appears on screen saying "message in roomname". If xchat is
running in a different desktop, then all is well. However, if it is iin the
current desktop, that is when the problem occurs. 
When the on-screen message appears, it stays there until somebody speaks in irc.
Until then, I am unable to do anything. The mouse and keyboard do not have any
effect on my desktop.

I am not sure whether xchat needs to be in focus or not, but I am pretty sure
the channnel the message is related to needs to be open.
Usually I talking in irc, then swtich to reading a webpage until somebody speaks.
Comment 4 Brian Pepple 2006-08-30 12:51:58 EDT
Are you still experiencing this problem with the latest version?  I've been
unable to reproduce this bug.
Comment 5 Simon Goodall 2006-08-30 15:55:11 EDT
I have been running with the OSD disabled to avoid the problem. I have now
re-enabled it and will report back.
Comment 6 Simon Goodall 2006-09-24 12:40:03 EDT
I've had no re-occurance of this issue.
Comment 7 Brian Pepple 2006-09-24 12:55:45 EDT
Ok, I'll close it for now then, since I've been unable to reproduce this.  If
you experience it again, it can always be reopened.

Note You need to log in before you can comment on or make changes to this bug.